org.apache.maven.profiles.activation

## Class JdkPrefixProfileActivator

- java.lang.Object
- - org.apache.maven.profiles.activation.DetectedProfileActivator
  - - org.apache.maven.profiles.activation.JdkPrefixProfileActivator

All Implemented Interfaces:
  ProfileActivator

    public class JdkPrefixProfileActivator
    extends DetectedProfileActivator

### Field Summary

### Fields inherited from interface org.apache.maven.profiles.activation.ProfileActivator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`JdkPrefixProfileActivator()`

### Method Summary

Methods
`protected boolean` `canDetectActivation(Profile profile)`
`protected java.lang.String` `getJdkVersion()`
`boolean` `isActive(Profile profile)`

### Methods inherited from class org.apache.maven.profiles.activation.DetectedProfileActivator

`canDetermineActivation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdkPrefixProfileActivator

    public JdkPrefixProfileActivator()

### Method Detail

#### isActive

    public boolean isActive(Profile profile)
                     throws ProfileActivationException

Throws:
  `ProfileActivationException`

#### getJdkVersion

    protected java.lang.String getJdkVersion()

#### canDetectActivation

    protected boolean canDetectActivation(Profile profile)

Specified by:
  `canDetectActivation` in class `DetectedProfileActivator`